classification
Title: name attribute for HMAC
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: christian.heimes Nosy List: christian.heimes, gregory.p.smith, jason.coombs, python-dev
Priority: normal Keywords: patch

Created on 2013-08-18 16:35 by christian.heimes, last changed 2014-03-09 19:17 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
hmac_name.patch christian.heimes, 2013-08-18 16:35 review
Messages (4)
msg195570 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-08-18 16:35
In issue #18532 name attribute was officially documented and tested for hashing objects. PEP 247 considers HMAC as keyed hashing algorithm. Therefore I suggest that HMAC object should provide the same interface.

It's a bit unfortunate that HMAC has a blocksize attribute for the default blocksize but the API defines a block_size attribute.
msg200730 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-10-21 09:03
I'm going to commit the patch this week. Speak now or forever hold your peace...
msg203501 - (view) Author: Roundup Robot (python-dev) Date: 2013-11-20 16:35
New changeset 71f4a805d262 by Christian Heimes in branch 'default':
Issue #18775: Add name and block_size attribute to HMAC object. They now
http://hg.python.org/cpython/rev/71f4a805d262
msg212971 - (view) Author: Roundup Robot (python-dev) Date: 2014-03-09 19:17
New changeset dde3fb877b07 by R David Murray in branch 'default':
whatsnew: hmac conforms to pep 247. (#18775)
http://hg.python.org/cpython/rev/dde3fb877b07
History
Date User Action Args
2014-03-09 19:17:40python-devsetmessages: + msg212971
2013-11-20 16:37:19christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-11-20 16:35:16python-devsetnosy: + python-dev
messages: + msg203501
2013-11-17 14:19:54christian.heimessetassignee: christian.heimes
2013-10-21 09:03:09christian.heimessetmessages: + msg200730
2013-08-18 16:35:57christian.heimescreate